Module javafx.graphics
Package javafx.scene.shape

# Class QuadCurveTo

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.QuadCurveTo

    public class QuadCurveTo
    extends PathElement

Creates a curved path element, defined by two new points, by drawing a Quadratic Bézier curve that intersects both the current coordinates and the specified coordinates `(x, y)`, using the specified point `(controlX, controlY)` as a Bézier control point. All coordinates are specified in double precision.

For more information on path elements see the `Path` and `PathElement` classes.

Example:

    import javafx.scene.shape.*;

    Path path = new Path();

    MoveTo moveTo = new MoveTo();
    moveTo.setX(0.0f);
    moveTo.setY(50.0f);

    QuadCurveTo quadTo = new QuadCurveTo();
    quadTo.setControlX(25.0f);
    quadTo.setControlY(0.0f);
    quadTo.setX(50.0f);
    quadTo.setY(50.0f);

    path.getElements().add(moveTo);
    path.getElements().add(cubicTo);

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `DoubleProperty` | `controlX` | Defines the X coordinate of the quadratic control point.
  `DoubleProperty` | `controlY` | Defines the Y coordinate of the quadratic control point.
  `DoubleProperty` | `x` | Defines the X coordinate of the final end point.
  `DoubleProperty` | `y` | Defines the Y coordinate of the final end point.

  ### Properties declared in class javafx.scene.shape.PathElement

  `absolute`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `QuadCurveTo()` | Creates an empty instance of QuadCurveTo.
  `QuadCurveTo​(double controlX, double controlY, double x, double y)` | Creates a new instance of QuadCurveTo.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DoubleProperty` | `controlXProperty()` | Defines the X coordinate of the quadratic control point.
  `DoubleProperty` | `controlYProperty()` | Defines the Y coordinate of the quadratic control point.
  `double` | `getControlX()` | Gets the value of the property controlX.
  `double` | `getControlY()` | Gets the value of the property controlY.
  `double` | `getX()` | Gets the value of the property x.
  `double` | `getY()` | Gets the value of the property y.
  `void` | `setControlX​(double value)` | Sets the value of the property controlX.
  `void` | `setControlY​(double value)` | Sets the value of the property controlY.
  `void` | `setX​(double value)` | Sets the value of the property x.
  `void` | `setY​(double value)` | Sets the value of the property y.
  `String` | `toString()` | Returns a string representation of this `CubicCurveTo` object.
  `DoubleProperty` | `xProperty()` | Defines the X coordinate of the final end point.
  `DoubleProperty` | `yProperty()` | Defines the Y coordinate of the final end point.

  ### Methods declared in class javafx.scene.shape.PathElement

  `absoluteProperty, isAbsolute, setAbsolute`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### controlX

    public final DoubleProperty controlXProperty
    Defines the X coordinate of the quadratic control point.
    Default value:
      0.0
    See Also:
      `getControlX()`, `setControlX(double)`

  - ### controlY

    public final DoubleProperty controlYProperty
    Defines the Y coordinate of the quadratic control point.
    Default value:
      0.0
    See Also:
      `getControlY()`, `setControlY(double)`

  - ### x

    public final DoubleProperty xProperty
    Defines the X coordinate of the final end point.
    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### y

    public final DoubleProperty yProperty
    Defines the Y coordinate of the final end point.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

- ## Constructor Details

  - ### QuadCurveTo

    public QuadCurveTo()
    Creates an empty instance of QuadCurveTo.

  - ### QuadCurveTo

    public QuadCurveTo​(double controlX, double controlY, double x, double y)
    Creates a new instance of QuadCurveTo.
    Parameters:
      `controlX` - the X coordinate of the quadratic control point
      `controlY` - the Y coordinate of the quadratic control point
      `x` - the X coordinate of the final end point
      `y` - the Y coordinate of the final end point

- ## Method Details

  - ### setControlX

    public final void setControlX​(double value)
    Sets the value of the property controlX.
    Property description:
      Defines the X coordinate of the quadratic control point.
    Default value:
      0.0

  - ### getControlX

    public final double getControlX()
    Gets the value of the property controlX.
    Property description:
      Defines the X coordinate of the quadratic control point.
    Default value:
      0.0

  - ### controlXProperty

    public final DoubleProperty controlXProperty()
    Defines the X coordinate of the quadratic control point.
    Default value:
      0.0
    See Also:
      `getControlX()`, `setControlX(double)`

  - ### setControlY

    public final void setControlY​(double value)
    Sets the value of the property controlY.
    Property description:
      Defines the Y coordinate of the quadratic control point.
    Default value:
      0.0

  - ### getControlY

    public final double getControlY()
    Gets the value of the property controlY.
    Property description:
      Defines the Y coordinate of the quadratic control point.
    Default value:
      0.0

  - ### controlYProperty

    public final DoubleProperty controlYProperty()
    Defines the Y coordinate of the quadratic control point.
    Default value:
      0.0
    See Also:
      `getControlY()`, `setControlY(double)`

  - ### setX

    public final void setX​(double value)
    Sets the value of the property x.
    Property description:
      Defines the X coordinate of the final end point.
    Default value:
      0.0

  - ### getX

    public final double getX()
    Gets the value of the property x.
    Property description:
      Defines the X coordinate of the final end point.
    Default value:
      0.0

  - ### xProperty

    public final DoubleProperty xProperty()
    Defines the X coordinate of the final end point.
    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### setY

    public final void setY​(double value)
    Sets the value of the property y.
    Property description:
      Defines the Y coordinate of the final end point.
    Default value:
      0.0

  - ### getY

    public final double getY()
    Gets the value of the property y.
    Property description:
      Defines the Y coordinate of the final end point.
    Default value:
      0.0

  - ### yProperty

    public final DoubleProperty yProperty()
    Defines the Y coordinate of the final end point.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

  - ### toString

    public String toString()
    Returns a string representation of this `CubicCurveTo` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `CubicCurveTo` object.